Subject: Re: [mobile-ip] Unresolved issue #16: unrecognized MH

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 16 Apr 2002 16:52:33 -0700 (PDT)

> > The draft should also clarify that OLD IPv6 nodes (without Mobility support)
> > should send  'mobility header unknown' message as an indication that they 
don't
> > support CN functionality for MIPv6.
> 
> What is 'mobility header unknown'?
> 

Sorry, it was a misnomer, actually I meant ICMP param problem with 
'unknown next header value' which is already being implemented in
ipv6 nodes.  The suggestion was to clarify that in the draft for
mobile node implementation.

> I think the old IPv6 node need not to be modified.  They will send
> 'ICMPv6 parameter problem' with 'unknown next header value' type.  We
> can easily detect the node can't understand MIP6.
> 
> # modifing all old ipv6 nodes is unrealistic to me.

Agreed.

-Samita

---

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 16 Apr 2002 17:12:19 -0700 (PDT)

Hi Jari,

> 
> Samita Chakrabarti wrote:
> 
> 

Actually the above question was asked by Keiichi SHIMA, not me :-)

I have used the term 'mobility header unknown' in my previous email incorrectly,
 I meant to say ICMP param problem with 'unknown next header value'.

> One, the MH protocol could be unknown to the recipient. This
> is clearly a job for ICMP.
> 

Agreed.

> Two, the message type field (MH Type) inside the MH could
> be unknown to the recipient, perhaps due to an extension that
> the recipient doesn't support. We've been discussing whether
> that can be reported by ICMP, BA, or a special MH Error message.
> It seems that most people think ICMP Parameter Problem can be
> used. The only thing in this solution is that the receiver of the
> error message must take care in looking at what octet is being
> pointed to as the error.

True. 

Please see my original email(attached). I had a request on clarification of
"Requirements for IPv6 correspondent nodes" in the MIPv6 draft.

Thanks,
-Samita

Subject: Message from mail server
From: Postmaster
Date: Tue, 16 Apr 2002 17:10:56 -0700 (PDT)

Delete.
This is a system message.                                

--END+PSEUDO--